### Method

# AppStreamCompose IconPolicy set_policy

#### Declaration [src]

    void
    asc_icon_policy_set_policy (
      AscIconPolicy* ipolicy,
      guint icon_size,
      guint icon_scale,
      AscIconState state
    )

#### Description [src]

Sets a designated state for an icon of the given size.

#### Parameters

`icon_size`

  Type: `guint`

  The size of the icon to set policy for (e.g. 64 for 64x64px icons).

`icon_scale`

  Type: `guint`

  The icon scale factor, e.g. 1.

`state`

  Type: `AscIconState`

  The designated `AscIconState`.